<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: PhotonSensitiveDetector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonSensitiveDetector Class Reference</h1><!-- doxytag: class="PhotonSensitiveDetector" -->
<p>a class defining the action if a sentitive detector is hit  
</p>

<p><a href="classPhotonSensitiveDetector-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonSensitiveDetector.html#a11d576264f3c330dd1b9f329bd1c3c16">PhotonSensitiveDetector</a> (G4String SDname, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonSensitiveDetector.html#a46360c1ac8102de9a1b7da707f1c0e23">~PhotonSensitiveDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonSensitiveDetector.html#aca2a35628b8a07790910d2f55680a92f">ProcessHits</a> (G4Step *theStep, G4TouchableHistory *)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a11d576264f3c330dd1b9f329bd1c3c16"></a><!-- doxytag: member="PhotonSensitiveDetector::PhotonSensitiveDetector" ref="a11d576264f3c330dd1b9f329bd1c3c16" args="(G4String SDname, GODDeSS_DataStorage *dataStorage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonSensitiveDetector::PhotonSensitiveDetector </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>SDname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>SDname</em>&nbsp;</td><td>name of the sensitive detector </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used to save the data which was taken by the sensitive detector </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a46360c1ac8102de9a1b7da707f1c0e23"></a><!-- doxytag: member="PhotonSensitiveDetector::~PhotonSensitiveDetector" ref="a46360c1ac8102de9a1b7da707f1c0e23" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonSensitiveDetector::~PhotonSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aca2a35628b8a07790910d2f55680a92f"></a><!-- doxytag: member="PhotonSensitiveDetector::ProcessHits" ref="aca2a35628b8a07790910d2f55680a92f" args="(G4Step *theStep, G4TouchableHistory *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool PhotonSensitiveDetector::ProcessHits </td>
          <td>(</td>
          <td class="paramtype">G4Step *&nbsp;</td>
          <td class="paramname"> <em>theStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4TouchableHistory *&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to process the hits of the sensitive detector.<br/>
 It will be executed by GEANT4, when a particle starts its step within the sensitive detector.</p>
<p>The data processing depends on the hitting particle:</p>
<ul>
<li>mark that the sensitive detector has been hit</li>
<li><b> if the particle is an optical photons AND has been created outside the sensitive detector: </b><ul>
<li>save the time and position of the sensitive detector's hit as well as the particle's momentum when hitting the sensitive detector and the name of the sensitive detector's volume that was hit (PhotonDetectorDataStorage)</li>
<li>write the data needed to resimulate a photon that hit the sensitive detector (start time, start position, start momentum, polarisation) into a text file</li>
</ul>
</li>
<li>stop the particle </li>
</ul>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 30 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
